> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Query avatar info

> Resolve selected Podcast avatar information.

MCP tool: `podcast_query_avatar_info`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/avatars/info
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/avatars/info:
    post:
      tags:
        - Podcast
      summary: query avatar info
      description: Resolve selected Podcast avatar information.
      operationId: podcast_query_avatar_info
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.QueryPodcastAvatarDPReq'
        description: 请求参数
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.QueryPodcastAvatarDPResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.QueryPodcastAvatarDPReq:
      properties:
        persons:
          description: 数字人信息列表（与PodcastAvatarID二选一，长度为1或2）
          items:
            $ref: '#/components/schemas/dto.QueryPodcastAvatarDPPerson'
          type: array
        podcast_avatar_id:
          description: 对话数字人ID（与Persons二选一）
          type: integer
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.QueryPodcastAvatarDPResp:
      properties:
        aigc_podcast_avatar_dp:
          allOf:
            - $ref: '#/components/schemas/model.AIGCPodcastAvatarDp'
          description: 对话数字人关联表信息（传Persons时为nil）
        digital_person1:
          allOf:
            - $ref: '#/components/schemas/vo.DigitalPersonDetailWithoutAvatarX'
          description: 数字人1详情
        digital_person2:
          allOf:
            - $ref: '#/components/schemas/vo.DigitalPersonDetailWithoutAvatarX'
          description: 数字人2详情
      type: object
    dto.QueryPodcastAvatarDPPerson:
      properties:
        id:
          description: 数字人ID
          type: integer
        person_source:
          description: 数字人来源
          type: integer
      required:
        - id
        - person_source
      type: object
    model.AIGCPodcastAvatarDp:
      properties:
        aigc_podcast_avatar_id:
          type: integer
        aspect_ratio:
          description: 宽高比/0:9比16/1:16比9
          type: integer
        avatar_type:
          description: 数字人类型 default/pet/cartoon/baby
          type: string
        background_id:
          description: 关联的 Podcast 背景ID
          type: integer
        create_time:
          description: 创建时间
          type: integer
        delete_time:
          description: 删除时间
          type: integer
        id:
          type: integer
        motion_preview_url:
          description: motion预览视频（无驱动嘴形）
          type: string
        preview_url:
          description: 预览视频（有驱动嘴形）
          type: string
        prj_user_digital_person1_id:
          description: 关联的数字人1id
          type: integer
        prj_user_digital_person2_id:
          description: 关联的数字人2id
          type: integer
        space_id:
          description: 空间的唯一标识符
          type: integer
        status:
          description: 状态 2:photo生成完成/3:motion生成中/4:avatar制作中/5:已完成/6:失败
          type: integer
        typ:
          description: 类型 0:切镜对话数字人/1:裁剪对话数字人
          type: integer
        update_time:
          description: 更新时间
          type: integer
        user_id:
          description: 用户的唯一标识符
          type: integer
      type: object
    vo.DigitalPersonDetailWithoutAvatarX:
      properties:
        avatar_xid:
          type: integer
        dp_info:
          $ref: '#/components/schemas/vo.DPInfoItem'
        timbre_lang_id:
          type: string
        timbre_name:
          type: string
        timbre_type:
          type: string
      type: object
    vo.DPInfoItem:
      properties:
        age:
          description: 年纪
          type: string
        aspect_ratio:
          description: 宽高比/0:9比16/1:16比9/2:1比1
          type: integer
        avatar_library_id:
          type: string
        avatar_type:
          description: 数字人类型 default/pet/cartoon/baby
          type: string
        avatar_url:
          type: string
        avatar_x_belong:
          description: avatarX归属于哪个数字人
          type: integer
        avatar_x_name:
          description: avatarX名称
          type: string
        avatar_x_num:
          description: avatarX数量
          type: integer
        bgTransparent:
          description: 当前数字人是背景透明
          type: boolean
        circle_cover_url:
          type: string
        cover_url:
          type: string
        digitalPersonCanUse:
          description: 当前数字人是否可用
          type: boolean
        display_position:
          type: integer
        dontUseStaticFrame:
          description: 是否禁用嘴形静态帧推理，驱动视频特效时需要禁用
          type: boolean
        ethnicity:
          description: 种族
          type: string
        face_center_x:
          type: number
        face_center_y:
          type: number
        face_doubled:
          description: 原视频已正反播
          type: boolean
        face_json:
          type: string
        face_url:
          type: string
        forms:
          additionalProperties:
            $ref: '#/components/schemas/model.PrjDigitalPersonForm'
          description: 该数字人的不同形态
          type: object
        gender:
          type: integer
        h:
          type: integer
        id:
          type: integer
        keying_enable:
          type: integer
        keying_face_doubled:
          description: 抠像视频已正反播
          type: boolean
        keying_video_url:
          type: string
        length:
          type: number
        mask_url:
          type: string
        name:
          type: string
        occupation:
          description: 职业
          type: string
        originPersonSource:
          description: 数据库的personSource
          type: integer
        personSource:
          description: 因有PreferModel 才修改的source
          type: integer
        pose:
          description: 姿势
          type: string
        prefer_model:
          type: string
        preview_mask_url:
          type: string
        preview_url:
          type: string
        selectVoiceId:
          description: 当前使用的voice ID： timbre的unique ID
          type: string
        skins:
          description: 肤色
          type: string
        sort:
          type: integer
        spaceId:
          description: 所属空间 默认-1
          type: integer
        style:
          description: 风格
          type: string
        theme:
          description: 主题
          type: string
        third_party_lip:
          description: 是否使用第三方嘴形0:不使用/1:爱诗
          type: integer
        timbre_id:
          type: integer
        type:
          type: integer
        voice_id:
          description: VoiceID 废弃，用timbre_id替代
          type: string
        w:
          type: integer
        webm_url:
          type: string
        welcome_url:
          type: string
      type: object
    model.PrjDigitalPersonForm:
      properties:
        cover_url:
          description: 形态封面【这个需要吗？
          type: string
        dp_id:
          description: 该形态归属于哪个数字人
          type: integer
        form:
          description: 形态类型 1:闭嘴不说话/2:全屏特写
          type: integer
        h:
          description: 高
          type: integer
        id:
          type: integer
        motion_unique_id:
          description: 关联的motion唯一ID
          type: string
        name:
          description: 形态名称，展示用
          type: string
        source:
          description: 数字人来源
          type: integer
        url:
          description: 形态视频
          type: string
        w:
          description: 宽
          type: integer
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````